const int switchPin = 2;
const int ledPin = 6;
const int blinkLedPin = 9;
int delayTime = 50;
int maxLevel = 255;
int minLevel = 0;
int glowValue = 0;
bool glowMode = true;

void switchPressedToggle ()
{
  if (digitalRead (switchPin) == HIGH) {
    digitalWrite(ledPin, LOW);
    glowMode = !glowMode;
    Serial.println("pressed");
  }
}

void switchPressed ()
{
  if (digitalRead (switchPin) == HIGH) {
    digitalWrite(ledPin, LOW);
    glowMode = false;
    Serial.println("pressed");
  }
  else {
    glowMode = true;
    Serial.println("empty");
  }
}


void setup() {
  // put your setup code here, to run once:
  pinMode(switchPin, INPUT);
  pinMode(ledPin, OUTPUT);
  pinMode(blinkLedPin, OUTPUT);

  attachInterrupt (digitalPinToInterrupt (switchPin), switchPressed, CHANGE);  // attach interrupt handler
  Serial.begin(115200);
}

void loop() {

  digitalWrite(blinkLedPin, HIGH);
  delay(100);
  digitalWrite(blinkLedPin, LOW);
  delay(100);
  
  for (glowValue = 0; glowValue < maxLevel; glowValue++) {
    if (glowMode) {
      analogWrite(ledPin, glowValue);
      delay(delayTime);
    }
  }

  for (glowValue = maxLevel; glowValue > minLevel; glowValue--) {
    if (glowMode) {
      analogWrite(ledPin, glowValue);
      delay(delayTime);
    }
  }
}
